World Quest Tracker

Addons
46,169,771 Downloads Last Updated: May 24, 2020 Game Version: 8.3.0

World Quest Tracker v8.2.5.383 Lua-Error

#1048 By  Vagabax

Created Sep 29, 2019 Updated Oct 17, 2019

Open

I get a Lua-Error after log in with char:

 

Message: Interface\AddOns\WorldQuestTracker\libs\DF\fw.lua:2913: Cannot find a library instance of "LibDeflate".
Time: Sun Sep 29 11:37:29 2019
Count: 1
Stack: Interface\AddOns\WorldQuestTracker\libs\DF\fw.lua:2913: Cannot find a library instance of "LibDeflate".
[C]: in function `error'
Interface\AddOns\Stubby\Support\LibStub.lua:23: in function `GetLibrary'
Interface\AddOns\WorldQuestTracker\libs\DF\fw.lua:2913: in main chunk

Locals: (*temporary) = "Cannot find a library instance of "LibDeflate"."

 

How to fix it?

 

Sep 30, 2019

i put in a temp fix for myself - go to your Addons/Worldquesttracker/libs/DF/fw.lua

 

and replace whole thing with:

 

https://pastebin.com/yxWTHVYm

 

for no more errors till author fixes it.

Sep 30, 2019

 You can also just install the LibDeflate addon from the twitch client.

Oct 1, 2019

Installing the LibDelflate addon from Twitch (wow addon, installed like "normal" did not fix this issue. I get get the cut and paste idea, but looking at the code, don't understand the RAW section. Copy and paste that too? Confused.

Oct 2, 2019

Tried installing LibDeflate addon but it made no difference unfortunately.
However, Lawrencecodes' solution worked perfectly:) Thanks mate

Oct 7, 2019

Download and install LibDeflate.
If you use Curse or Twitch to install LibDeflate it will place the LibDeflate folder into your Addons folder.
You'll need to move the LibDeflate folder and all its contents into the Addons\WorldQuestTracker\libs folder.
In the WorldQuestTracker\libs folder you'll find a file called "libs.xml"
Edit libs.xml using Notepad or any text editor you like.
Insert the following line among the other similar lines you find there. The order is not important, just keep the same format.

<Script file="LibDeflate\LibDeflate.lua"/>

 

Save the change & that's all. Restart WoW & WorldQuestTracker will find use use LibDeflate correctly.
I had posted this earlier.. but my comment seems to have not been saved correctly.

Edited Oct 7, 2019

Oct 17, 2019

Thanks, thisguyyouknow, this worked perfectly for me.


To post a comment, please login or register a new account.